Skip to main content
GET
/
v1
/
downstream-entity-associations
/
{downstreamEntityAssociationId}
/
licenses
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}/licenses
{
  "data": [
    {
      "niprDataSubscriptionId": "<string>",
      "npn": "<string>",
      "stateCode": "AL",
      "licenseNumber": "<string>",
      "licenseClassCode": "<string>",
      "licenseClassName": "<string>",
      "status": "<string>",
      "residencyStatus": "<string>",
      "issueDate": "2023-11-07T05:31:56Z",
      "nextRenewalDate": "2023-11-07T05:31:56Z",
      "expirationDate": "2023-11-07T05:31:56Z",
      "linesOfAuthority": [
        {
          "code": "<string>",
          "name": "<string>",
          "status": "<string>"
        }
      ],
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
Returns all license records for a specific downstream entity association. You can filter by state code and license status.

Path Parameters

downstreamEntityAssociationId
string
required

Downstream entity association ID

Example:

"507f1f77bcf86cd799439011"

Query Parameters

stateCode
string

State code (two-letter abbreviation)

Example:

"FL"

status
string

Filter for the license status

Example:

"active"

Response

List of downstream entity licenses

data
object[]
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"